Mettre à niveau Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Upgrade and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Mettre à niveau Draft

Emplacement du menu
Draft → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Introduit dans la version
-
Voir aussi
Rétrograder, Part Union


Description

Cet outil met à niveau les objets sélectionnés de différentes façons.

L'outil Mettre à niveau effectue des tâches telles que la création de faces et la fusion de différents éléments. Cet outil fonctionne avec les éléments Draft 2D. Pour fusionner des solides 3D, utilisez Part Union et les opérations booléennes associées de l'atelier Part et les opérations booléennes de l'atelier PartDesign.

La contrepartie de cet outil est l'opération Rétrograder.

Draft Upgrade example.jpg

Fil ouvert mis à niveau en fil fermé, puis en face; un carré fermé transformé en face, puis fusionné avec la face précédente


Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez mettre à niveau.
  2. Cliquez sur le bouton Draft Upgrade.svg Mettre à niveau ou appuyez sur les touches U puis P. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Les objets sélectionnés sont modifiés ou mis à niveau dans les conditions suivantes, dans l'ordre:

  1. S'il y a plus d'une face dans la sélection, les faces sont fusionnées (union).
  2. S'il n'y a qu'une seule face dans la sélection, rien n'est fait.
  3. S'il n'y a qu'un seul fil ouvert dans la sélection, il se ferme et fait une face.
  4. S'il n'y a que des arêtes dans la sélection, toutes les arêtes sont jointes en un fil et ce dernier est fermé si possible.
  5. Si rien de ce qui précède n'est possible, un objet composé est créé.

Il est intéressant d'essayer de mettre à niveau une sélection plusieurs fois pour voir si une meilleure forme est obtenue. Par exemple:

  1. La mise à niveau de deux lignes connectées à une extrémité donnera un fil non modifiable.
  2. La mise à niveau de cet élément ajoutera une troisième ligne et fermera le fil non éditable.
  3. Une nouvelle mise à niveau de cet élément ajoutera une face au fil fermé et non modifiable.
  4. Une nouvelle mise à niveau de cet élément le transformera en un fil, qui peut être entièrement modifié et toutes ses propriétés modifiées.

Le fil résultant peut être mieux manipulé que les lignes d'origine. La fusion de lignes simples peut également être effectuée directement à l'aide de l'outil fil. Certaines opérations de fusion peuvent également être effectuées avec l'outil Part Union.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

L'outil Mettre à niveau peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Met à niveau les objets donnés, qui peuvent être un objet unique ou une liste d'objets.
  • Si delete est True, les anciens objets sont supprimés.
  • Si force est donné, c'est la fonction interne à appeler pour forcer un certain mode de mise à niveau. Il peut s'agir de: "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires", or "turnToLine".
  • upgrade_list est renvoyé, qui est une liste contenant deux listes: une liste de nouveaux objets (addList) et une liste d'objets à supprimer (deleteList) .

Exemple:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)
Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg